{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.vulture.item_equipped": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "on_equip": "!query.property('silverlabs_nat:is_item_equipped') && q.is_item_equipped"
            },
            {
              "on_unequip": "query.property('silverlabs_nat:is_item_equipped') && !q.is_item_equipped"
            }
          ]
        },
        "on_equip": {
          "on_entry": ["@s silverlabs_nat:set_item_equipped"],
          "transitions": [
            {
              "default": "query.property('silverlabs_nat:is_item_equipped')"
            }
          ]
        },
        "on_unequip": {
          "on_entry": ["@s silverlabs_nat:set_item_equipped"],
          "transitions": [
            {
              "default": "!query.property('silverlabs_nat:is_item_equipped')"
            }
          ]
        }
      }
    }
  }
}
